Subject: Re: bug#44020: 28.0.50; Prefer selection of colour emoji fonts?

From: Robert Pluim <[email-masked]>
Date: Tue, 20 Oct 2020 16:41:53 +0200

>>>>> On Tue, 20 Oct 2020 17:28:14 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Cc: [email-masked],  [email-masked],  Stephen Berman
    >> <[email-masked]>
    >> Date: Tue, 20 Oct 2020 10:58:31 +0200
    >> 
    >> So it was failing on Debian as well, until I deleted my
    >> ~/.config/fontconfig directory, which ended up fixing it on Ubuntu as
    >> well.

    Eli> This Fontconfig cache thingy appears in too many trouble reports.
    Eli> Sounds like something we should ask users to do up front whenever they
    Eli> report some weird font-related issue.

To be clear: this is not the fontconfig cache, itʼs the user-specific
directory for configuring fontconfig. I had one because I was playing
around with hinting styles at one point, and thatʼs exactly what can
cause Noto Color Emoji to fail (donʼt ask me why).

But yes, we should ask people to move both the fontconfig cache and
the fontconfig user directory out of the way (or ask them to run
FC_DEBUG=1024 emacs -Q, which will show us which fontconfig config
files are being loaded).

Robert
--